MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
MyGUI::IPlugin Class Referenceabstract

Base plugin class. More...

`#include <MyGUI_Plugin.h>`

## Public Member Functions
| IPlugin ()
virtual | ~IPlugin ()
virtual const std::string & | getName () const =0
virtual void | install ()=0
virtual void | initialize ()=0
virtual void | shutdown ()=0
virtual void | uninstall ()=0

## Detailed Description

Base plugin class.

Definition at line 18 of file MyGUI_Plugin.h.

## Constructor & Destructor Documentation

MyGUI::IPlugin::IPlugin | ( |  | ) |
| inline

Definition at line 21 of file MyGUI_Plugin.h.

virtual MyGUI::IPlugin::~IPlugin | ( |  | ) |
| inline virtual

Definition at line 22 of file MyGUI_Plugin.h.

## Member Function Documentation

virtual const std::string& MyGUI::IPlugin::getName | ( |  | ) | const
| pure virtual

Get the name of the plugin.

Remarks
  An implementation must be supplied for this method to uniquely identify the plugin

virtual void MyGUI::IPlugin::initialize | ( |  | ) |
| pure virtual

Perform any tasks the plugin needs to perform on full system initialisation.

virtual void MyGUI::IPlugin::install | ( |  | ) |
| pure virtual

Perform the plugin initial installation sequence

virtual void MyGUI::IPlugin::shutdown | ( |  | ) |
| pure virtual

Perform any tasks the plugin needs to perform when the system is shut down

virtual void MyGUI::IPlugin::uninstall | ( |  | ) |
| pure virtual

Perform the final plugin uninstallation sequence

The documentation for this class was generated from the following file:

- MyGUI_Plugin.h